Package org.jboss.modules.management

# Class ObjectProperties

java.lang.Object
java.util.Dictionary<String,String>
java.util.Hashtable<String,String>
org.jboss.modules.management.ObjectProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,String>`

public final class ObjectProperties extends Hashtable<String,String>
A Hashtable variant which keeps property names in order, for use by MBean `ObjectName`s.

Author:
  David M. Lloyd
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ObjectProperties.Property`
A single property in a properties list.

## Constructor Summary

Constructors
Constructor
Description
`ObjectProperties()`
`ObjectProperties(int initialCapacity)`
`ObjectProperties(int initialCapacity, float loadFactor)`
`ObjectProperties(Map<? extends String,? extends String> t)`
`ObjectProperties(ObjectProperties.Property... properties)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object`
`clone()`
`boolean`
`contains(Object value)`
`boolean`
`containsKey(Object key)`
`boolean`
`containsValue(Object value)`
`Enumeration<String>`
`elements()`
`Set<Map.Entry<String,String>>`
`entrySet()`
`String`
`get(Object key)`
`boolean`
`isEmpty()`
`Enumeration<String>`
`keys()`
`Set<String>`
`keySet()`
`static ObjectProperties`
`properties(ObjectProperties.Property... properties)`
`static ObjectProperties.Property`
`property(String key, String value)`
`String`
`put(String key, String value)`
`void`
`putAll(Map<? extends String,? extends String> t)`
`protected void`
`rehash()`
`String`
`remove(Object key)`
`int`
`size()`
`String`
`toString()`
`Collection<String>`
`values()`

### Methods inherited from class java.util.Hashtable

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ObjectProperties

public ObjectProperties(int initialCapacity, float loadFactor)

### ObjectProperties

public ObjectProperties(int initialCapacity)

### ObjectProperties

public ObjectProperties()

### ObjectProperties

public ObjectProperties(Map<? extends String,? extends String> t)

### ObjectProperties

public ObjectProperties(ObjectProperties.Property... properties)

## Method Details

### property

public static ObjectProperties.Property property(String key, String value)

### properties

public static ObjectProperties properties(ObjectProperties.Property... properties)

### size

public int size()

Specified by:
  `size` in interface `Map<String,String>`
Overrides:
  `size` in class `Hashtable<String,String>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<String,String>`
Overrides:
  `isEmpty` in class `Hashtable<String,String>`

### keys

public Enumeration<String> keys()

Overrides:
  `keys` in class `Hashtable<String,String>`

### elements

public Enumeration<String> elements()

Overrides:
  `elements` in class `Hashtable<String,String>`

### contains

public boolean contains(Object value)

Overrides:
  `contains` in class `Hashtable<String,String>`

### containsValue

public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map<String,String>`
Overrides:
  `containsValue` in class `Hashtable<String,String>`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<String,String>`
Overrides:
  `containsKey` in class `Hashtable<String,String>`

### get

public String get(Object key)

Specified by:
  `get` in interface `Map<String,String>`
Overrides:
  `get` in class `Hashtable<String,String>`

### rehash

protected void rehash()

Overrides:
  `rehash` in class `Hashtable<String,String>`

### put

public String put(String key, String value)

Specified by:
  `put` in interface `Map<String,String>`
Overrides:
  `put` in class `Hashtable<String,String>`

### remove

public String remove(Object key)

Specified by:
  `remove` in interface `Map<String,String>`
Overrides:
  `remove` in class `Hashtable<String,String>`

### putAll

public void putAll(Map<? extends String,? extends String> t)

Specified by:
  `putAll` in interface `Map<String,String>`
Overrides:
  `putAll` in class `Hashtable<String,String>`

### clear

public void clear()

Specified by:
  `clear` in interface `Map<String,String>`
Overrides:
  `clear` in class `Hashtable<String,String>`

### clone

public Object clone()

Overrides:
  `clone` in class `Hashtable<String,String>`

### toString

public String toString()

Overrides:
  `toString` in class `Hashtable<String,String>`

### keySet

public Set<String> keySet()

Specified by:
  `keySet` in interface `Map<String,String>`
Overrides:
  `keySet` in class `Hashtable<String,String>`

### entrySet

public Set<Map.Entry<String,String>> entrySet()

Specified by:
  `entrySet` in interface `Map<String,String>`
Overrides:
  `entrySet` in class `Hashtable<String,String>`

### values

public Collection<String> values()

Specified by:
  `values` in interface `Map<String,String>`
Overrides:
  `values` in class `Hashtable<String,String>`